Bug 165964 - issues in a new "saved query" should be seen as default.
issues in a new "saved query" should be seen as default.
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Bugzilla
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Tomas Stupka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks: 165924
  Show dependency treegraph
 
Reported: 2009-05-25 15:31 UTC by Ondrej Langr
Modified: 2009-09-07 17:05 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-05-25 15:31:13 UTC
This means they should not be green and flags should be off.

Verified during usability study of Kenai integration in NetBeans.
Comment 1 Ondrej Langr 2009-05-25 15:33:43 UTC
I mean this only applies to a situation right after a new query is created, of course.
Comment 2 Tomas Stupka 2009-06-11 14:09:12 UTC
for now it's WAD - enhancement
Comment 3 Ondrej Langr 2009-07-27 10:55:46 UTC
Tomasi, what is WAD? Please plan this for 6.8, it is important for the initial understanding of how saved queries work. 
Comment 4 Tomas Stupka 2009-07-27 11:09:22 UTC
WAD - Works As Designed

it's still not clear how this should work if some issue is new in an already existing query and a new query containing
the same issue was just saved. Roman - any update on this?
Comment 5 Roman Ondruska 2009-07-27 11:26:18 UTC
Should be solved for 6.8. I plan to resolve this after tstupka returns from vacation ;-) 
Comment 6 Ondrej Langr 2009-08-11 16:19:19 UTC
This should definitely get to 6.8, proved to be one of most important UI issues in 6.7 Kenai integration usability study. 

As for tstupka's question - this is more of a corner case - in most situations, it will apply to none or just a few
issues in the new query. Those issues should IMO stay "unseen" while all other new issues in that query should be marked
as "seen". 
Comment 7 Roman Ondruska 2009-08-24 15:12:11 UTC
See specifiacation at 
http://jupiter.czech.sun.com/wiki/view/Lct/IssuesAndColors
Comment 8 Tomas Stupka 2009-09-04 17:11:16 UTC
fixed


changeset   : 143550:336fd54c9880
author      : Tomas Stupka <tstupka@netbeans.org>
date        : Fri Sep 04 11:39:51 CEST 2009
Comment 9 Quality Engineering 2009-09-07 17:05:36 UTC
Integrated into 'main-golden', will be available in build *200909071104* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/336fd54c9880
User: Tomas Stupka <tstupka@netbeans.org>
Log: #165964 - issues in a new "saved query" should be seen as default.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo